Subject: Re: [PATCH v3 05/35] upload-pack: factor out processing lines

From: Brandon Williams <[email-masked]>
Date: Thu, 22 Feb 2018 11:39:19 -0800

On 02/22, Stefan Beller wrote:
> On Tue, Feb 6, 2018 at 5:12 PM, Brandon Williams <[email-masked]> wrote:
> > Factor out the logic for processing shallow, deepen, deepen_since, and
> > deepen_not lines into their own functions to simplify the
> > 'receive_needs()' function in addition to making it easier to reuse some
> > of this logic when implementing protocol_v2.
> >
> > Signed-off-by: Brandon Williams <[email-masked]>
> 
> Reviewed-by: Stefan Beller <[email-masked]>
> for the stated purpose of just refactoring existing code for better reuse later.
> 
> I do have a few comments on the code in general,
> which might be out of scope for this series.

Yeah you mentioned some comments in a previous round based on style
preference.  I'm going to refrain from changing the style of this patch
since it is a matter of preference.

> 
> A close review would have been fastest if we had some sort of
> https://public-inbox.org/git/[email-masked]/
> which I might revive soon for this purpose. (it showed that I would need it)
> 
> 
> > +               *depth = (int)strtol(arg, &end, 0);
> 
> strtol is not used quite correctly here IMHO, as we do not
> inspect errno for ERANGE
> 
> Thanks,
> Stefan

-- 
Brandon Williams